Name:       cherrytree
Version:    0.99.24
Release:    1%{?dist}
Summary:    A hierarchical note taking application (C++ version)
License:    GPL-3
URL:        https://github.com/giuspen/cherrytree
Source:     https://github.com/giuspen/cherrytree/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires: cmake
BuildRequires: cmake-rpm-macros
BuildRequires: extra-cmake-modules
BuildRequires: python3-lxml

BuildRequires: pkgconfig(gtkmm-3.0)
BuildRequires: pkgconfig(gtksourceviewmm-3.0)
BuildRequires: pkgconfig(glibmm-2.4)
BuildRequires: pkgconfig(pangomm-1.4)
BuildRequires: pkgconfig(gspell-1)
BuildRequires: pkgconfig(libxml++-2.6)
BuildRequires: pkgconfig(sqlite3)
BuildRequires: pkgconfig(libcurl)
BuildRequires: pkgconfig(uchardet)

Conflicts:   cherrytree <= 0.39

%description
A hierarchical note taking application, featuring rich text and syntax
highlighting, storing all the data (including images) in a single xml
file with extension ".ctd".

%prep
%autosetup

%build
%cmake -DBUILD_TESTING=NO
%cmake_build

%install
%cmake_install

%find_lang %{name}

%files
%doc README.md changelog.txt
%{_bindir}/%{name}
%{_datarootdir}/%{name}/*
%{_datarootdir}/applications/*.desktop
%{_datarootdir}/man/man*/*
%{_datarootdir}/metainfo/*
%{_datarootdir}/mime-info/*
%{_datarootdir}/icons/hicolor/scalable/apps/*.svg
%{_datarootdir}/locale/*/LC_MESSAGES/*

%changelog
* Tue Dec 01 2020 Yury Martynov <email@linxon.ru> 0.99.24-1
- Bump to 0.99.24
* Tue Nov 24 2020 Yury Martynov <email@linxon.ru> 0.99.22-1
- Bump to 0.99.22
* Fri Nov 20 2020 Yury Martynov <email@linxon.ru> 0.99.21-1
- Bump to 0.99.21
* Sat Nov 14 2020 Yury Martynov <email@linxon.ru> 0.99.20-1
- Bump to 0.99.20
* Sun Nov 08 2020 Yury Martynov <email@linxon.ru> 0.99.19-1
- Bump to 0.99.19
* Fri Oct 30 2020 Yury Martynov <email@linxon.ru> 0.99.18-1
- Bump to 0.99.18
* Mon Oct 26 2020 Yury Martynov <email@linxon.ru> 0.99.17-1
- Bump to 0.99.17
* Wed Oct 21 2020 Yury Martynov <email@linxon.ru> 0.99.16-1
- Bump to 0.99.16
* Sun Oct 11 2020 Yury Martynov <email@linxon.ru> 0.99.15-1
- Bump to 0.99.15
* Sun Sep 20 2020 Yury Martynov <email@linxon.ru> 0.99.14-1
- Initial packaging.
